@echo off
: /*+========================================================================
:  File:      UNREGALL.BAT
:
:  Summary:   This Batch file Unregisters all the COM servers in the
:             OLE Tutorial Code Sample series.  It assumes that the
:             servers have already been built.  It does build the
:             REGISTER code sample if needed.
:
:  Usage:     UNREGALL
:               To Unregister all COM servers.
:
:  Origin:    10-9-95: atrent - Created for OLE Tutorial Code Sample series.
:
: --------------------------------------------------------------------------
:
:  This file is part of the Microsoft OLE Tutorial Code Samples.
:
:  Copyright (C) Microsoft Corporation, 1996.  All rights reserved.
:
:  This source code is intended only as a supplement to Microsoft
:  Development Tools and/or on-line documentation.  See these other
:  materials for detailed information regarding Microsoft code samples.
:
:  THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
:  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
:  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
:  PARTICULAR PURPOSE.
: ==========================================================================+*/
:
cls
echo ================ Working on REGISTER...
cd register
nmake %1 %2 %3 %4 %5 %6 %7 %8 %9
IF ERRORLEVEL 1 GOTO ERROR
:
echo ================ Working on DLLSERVE...
cd ..\dllserve
nmake unregister %1 %2 %3 %4 %5 %6 %7 %8
IF ERRORLEVEL 1 GOTO ERROR
:
echo ================ Working on LICSERVE...
cd ..\licserve
nmake unregister %1 %2 %3 %4 %5 %6 %7 %8
IF ERRORLEVEL 1 GOTO ERROR
:
echo ================ Working on MARSHAL...
cd ..\marshal
nmake unregister %1 %2 %3 %4 %5 %6 %7 %8
IF ERRORLEVEL 1 GOTO ERROR
:
echo ================ Working on LOCSERVE...
cd ..\locserve
nmake unregister %1 %2 %3 %4 %5 %6 %7 %8
IF ERRORLEVEL 1 GOTO ERROR
:
cd ..
goto :DONE
:ERROR
echo ================ UNREGALL Error.
goto :END
:DONE
echo ================ UNREGALL Work Done.
:END
