;BackGround Randomizer 2.2a
;April 1, 1998

;bg2a.inc
;various windows related constants and structures
;imported from the windows API header files

MAX_PATH                equ 260                 ; max path length
ERROR_SUCCESS           equ 0                   ; for RegOpenKeyEx
INVALID_HANDLE_VALUE    equ 0                   ; error value for FindFirstFile

; winbase.h
FILETIME struc
    ft_dwLowDateTime    dd              ?       ;low-order 32 bits
    ft_dwHighDateTime   dd              ?       ;high-order 32 bits
FILETIME ends

WIN32_FIND_DATA struc                           ; struct for FindFirstFile()
    swFileAttributes    dd              ?
    ftCreationTime      FILETIME        ?
    ftLastAccessTime    FILETIME        ?
    ftLastWriteTime     FILETIME        ?
    nFileSizeHigh       dd              ?
    nFileSizeLow        dd              ?
    dwReserved0         dd              ?
    gwReserved1         dd              ?
    cFileName           UCHAR           MAX_PATH dup (?)
    cAlternateFileName  UCHAR           14 dup (?)
WIN32_FIND_DATA ends

; winuser.h
SPI_SETDESKWALLPAPER    = 20

; winnt.h
REG_SZ                  = 1

; winreg.h
HKEY_CLASSES_ROOT       = 80000000h
HKEY_CURRENT_USER       = 80000001h
HKEY_LOCAL_MACHINE      = 80000002h
HKEY_USERS              = 80000003h
HKEY_PERFORMANCE_DATA   = 80000004h
HKEY_CURRENT_CONFIG     = 80000005h
HKEY_DYN_DATA           = 80000006h

; winnt.h
KEY_ALL_ACCESS          = 000F003Fh

; imported functions
extern  GetCurrentDirectoryA:PROC
extern  RegOpenKeyExA:PROC
extern  RegSetValueExA:PROC
extern  SystemParametersInfoA:PROC
extern  FindFirstFileA:PROC
extern  FindNextFileA:PROC
extern  GetTickCount:PROC
extern  GetCommandLineA:PROC